> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Returns prep details for a list of MSKUs.

GET https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/list-prep-details

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Query parameters

- `marketplaceId` (string, required) — The Walmart Marketplace ID. For a list of possible values, refer to [Marketplace IDs](https://developer-docs.walmart.com/seller-api/docs/marketplace-ids).
- `mskus` (list of string, required) — A list of merchant SKUs, a merchant-supplied identifier of a specific SKU.

## Response

### 200

Success

- `mskuPrepDetails` (list of MskuPrepDetail, required) — A list of MSKUs and related prep details.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### MskuPrepDetail

An MSKU and its related prep details.

- `msku` (string, required) — The merchant SKU, a merchant-supplied identifier for a specific SKU.
- `prepCategory` (enum, required) — The preparation category for shipping an item to Walmart's fulfillment network.
  - Allowed values: `ADULT`, `BABY`, `FC_PROVIDED`, `FRAGILE`, `GRANULAR`, `HANGER`, `LIQUID`, `PERFORATED`, `SET`, `SHARP`, `SMALL`, `TEXTILE`, `UNKNOWN`, `NONE`
- `prepTypes` (list of enum, required) — A list of preparation types associated with a preparation category.
  - Allowed values: `ITEM_BLACK_SHRINKWRAP`, `ITEM_BLANKSTK`, `ITEM_BOXING`, `ITEM_BUBBLEWRAP`, `ITEM_CAP_SEALING`, `ITEM_DEBUNDLE`, `ITEM_HANG_GARMENT`, `ITEM_LABELING`, `ITEM_NO_PREP`, `ITEM_POLYBAGGING`, `ITEM_RMOVHANG`, `ITEM_SETCREAT`, `ITEM_SETSTK`, `ITEM_SIOC`, `ITEM_SUFFOSTK`, `ITEM_TAPING`
- `allOwnersConstraint` (enum, optional) — A constraint that applies to all owners. If no constraint is specified, defer to any individual owner constraints.
  - Allowed values: `MUST_MATCH`
- `labelOwnerConstraint` (enum, optional) — A constraint that can apply to an individual owner.
  - Allowed values: `SELLER_ONLY`, `NONE_ONLY`
- `prepOwnerConstraint` (enum, optional) — A constraint that can apply to an individual owner.
  - Allowed values: `SELLER_ONLY`, `NONE_ONLY`

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

## Examples

**Response**

```json
{
  "mskuPrepDetails": [
    {
      "msku": "string",
      "prepCategory": "ADULT",
      "prepTypes": [
        "ITEM_BLACK_SHRINKWRAP"
      ],
      "allOwnersConstraint": "MUST_MATCH",
      "labelOwnerConstraint": "SELLER_ONLY",
      "prepOwnerConstraint": "SELLER_ONLY"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails"

querystring = {"marketplaceId":"marketplaceId","mskus":"[\"string\"]"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails?marketplaceId=marketplaceId&mskus=%5B%22string%22%5D';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails?marketplaceId=marketplaceId&mskus=%5B%22string%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails?marketplaceId=marketplaceId&mskus=%5B%22string%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails?marketplaceId=marketplaceId&mskus=%5B%22string%22%5D")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails?marketplaceId=marketplaceId&mskus=%5B%22string%22%5D');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails?marketplaceId=marketplaceId&mskus=%5B%22string%22%5D");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/prepDetails?marketplaceId=marketplaceId&mskus=%5B%22string%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```